for discussion about Dai coverage errors, but basically it's a front-end problem that is true for ETH purchases as well.
Problem is that a user might have a cache of the available cover amounts that is outdated when actually buying cover. The contract will throw an error, but the page will still show cover available (until a hard refresh and re-quote).
Is there a way to have a live updating 'coverage available' counter in the 'buy' dialog and a greyed out button if it's lower than the requested amount to prevent this?